{% extends "ajax/game/game.html.twig" %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-10 ro-1 rw-md-12 ro-md-0">
            <div class="row tabs">
                <div class="cell-small rw-8 rw-lg-12">
                    {% if user.avatar %}
                        <div class="avatar small ua-{{ user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': user.id, 'name': user.avatar.smallName, 'ext': user.avatar.format}) }}"></div>
                    {% endif %}
                    <h4 class="soul-name">
                        <img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt="{{'Held'|trans({}, 'game')}}" /> {{ user.name }}
                    </h4>
                </div>
                <div class="float-right">
                    <button x-ajax-href='{{returnUrl}}' style="margin-top: 4px;padding: 0 8px;" class="inline"><span class="hide-sm">{{ "Kartei schließen"|trans({}, 'soul') }}</span><span class="hide-lg hide-md hide-desktop"><img style="margin-right: 0;" src="{{ asset('build/images/icons/small_remove.gif') }}" alt="[X]" /></span></button>
                </div>
            </div>
            <div class="row me">
                {% include 'ajax/soul/badges.html.twig' with {badger: user} %}
                <div class="cell rw-5 rw-sm-12 distinctions">
                    <div class="distinctions-head center">
                        {{ 'Statistiken'|trans({}, 'global') }}
                    </div>
                    <div class="distinctions-list center">
                        <div class="overall">
                            {{ '%points% Punkte'|trans({'%points%':points}, 'global') }}
                        </div>
                        <div class="top"></div>
                        {% if pictos|length == 0 %}
                        <div class="list empty">
                            {{ 'Dieser Spieler hat bisher noch keine Preise gewonnen...'|trans({}, 'global') }}
                        </div>
                        {% else %}
                        <div class="list">
                            {% for picto in pictos %}
                                {% if picto.c > 0 %}
                                    <div class="picto{% if picto.rare %} rare{% endif %}">
                                        <img src="{{  asset('build/images/pictos/' ~ picto.icon ~ '.gif') }}" /><br />
                                        <div class="counter">
                                        {% for number in picto.c|split('') %}<span class="count" title="{{number}}">{{number}}</span>{% endfor %}
                                        </div>
                                        <div class="tooltip">
                                        <h1>{{ picto.label|trans({}, 'game') }}</h1>
                                        {{ picto.description|trans({}, 'game')}}</em>
                                        </div>
                                    </div>
                                    {% endif %}
                            {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                    <div class="distinctions-foot">
                        &nbsp;
                    </div>
                </div>
                <div class="cell padded rw-7 rw-sm-12">
                    <div class="score"><img src="{{ asset('build/images/soul/small_score.gif') }}" alt="" /> {{ 'Seelenpunktzahl'|trans({}, 'global') }} : <strong>{{ '%points% Punkte'|trans({'%points%': user.allSoulPoints}, 'global') }}</strong></div>
                    {# @var user \App\Entity\User #}
                    {% if not user.activeCitizen is null %}
                        <div class="current">
                            <em>{{'Aktuelles Leben'|trans({}, 'global')}} : </em><br /><strong><img src="{{ asset('build/images/soul/r_explor.gif') }}" alt="" /> {{ user.activeCitizen.town.name }}</strong> ({{ 'Tag %day%'|trans({'%day%':user.activeCitizen.town.day}, 'game') }})
                        </div>
                    {% endif %}

                    <div class="town-history">
                        <div id="town-list"></div>
                        <div class="row">
                            <div class="cell padded rw-6">
                                <select name="season" id="season">
                                    {% for season in seasons %}
                                        {% if season.number > 0 %}
                                            <option value="{{season.id}}">
                                                {{ 'Saison %n%'|trans({'%n%': season.number},'soul') }} - {{ ('Saison ' ~ season.number ~ '.' ~ season.subNumber)|trans({}, "season")}}
                                            </option>
                                        {% endif %}
                                    {% endfor %}
                                    <option value="-1">{{'Alte Städte'|trans({}, "soul")}}</option>
                                    {% for season in seasons %}
                                        {% if season.number == 0 %}
                                            <option value="{{season.id}}">
                                                {{ 'Gute Alte Zeit'|trans({},'soul') }} -
                                                {{ 'Saison %n%'|trans({'%n%': season.subNumber},'soul') }}
                                            </option>
                                        {% endif %}
                                    {% endfor %}
                                </select>
                            </div>
                            <div class="cell padded rw-6 right">
                                <input type="checkbox" name="limit-10" id="limit-10" checked /> <label for="limit-10" class="small">{{'Nur 10 Städte anzeigen'|trans({}, 'soul')}}</label>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            {% if citizen_id is not null %}
                <div class="row">
                    <div class="padded cell rw-4 rw-md-6 rw-sm-12">
                        <button x-ajax-href="{{ path('town_visit', {'id': citizen_id}) }}"><img alt="" src="{{ asset('build/images/icons/home.gif') }}">{{ 'Haus besuchen'|trans({},'soul') }}</button>
                    </div>
                </div>
            {% endif %}
        </div>

    </div>
{% endblock %}
{% block js %}
    {{parent()}}

    <script>
        let season_select = document.getElementById('season');
        $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: season_select.value, limit10: document.getElementById("limit-10").checked } )
        if (season)
            season_select.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: this.value, limit10: document.getElementById("limit-10").checked } ) } );

        let limit_checkbox = document.getElementById('limit-10');
        if (season)
            limit_checkbox.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: document.getElementById('season').value, limit10: this.checked } ) } );
    </script>
{% endblock %}
